PR_TASK_PERF_EVENTS_DISABLE(2const)

NAME
PR_TASK_PERF_EVENTS_DISABLE, PR_TASK_PERF_EVENTS_ENABLE - disable or enable performance counters attached to the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_TASK_PERF_EVENTS_DISABLE);
int prctl(PR_TASK_PERF_EVENTS_ENABLE);

DESCRIPTION

PR_TASK_PERF_EVENTS_DISABLE
    Disable all performance counters attached to the calling process, regardless of whether the counters were created by this process or another process. Performance counters created by the calling process for other processes are unaffected.

PR_TASK_PERF_EVENTS_ENABLE
    The converse of PR_TASK_PERF_EVENTS_DISABLE; enable performance counters attached to the calling process.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 2.6.31.

Originally called PR_TASK_PERF_COUNTERS_DISABLE and PR_TASK_PERF_COUNTERS_ENABLE; renamed (retaining the same numerical value) in Linux 2.6.32.

SEE ALSO
prctl(2)

For more information on performance counters, see the Linux kernel source file tools/perf/design.txt.